bestfit_color(3)

NAME
bestfit_color

SYNOPSIS
#include <allegro.h>

int bestfit_color(const PALETTE pal, int r, int g, int b);

DESCRIPTION
Searches the specified palette for the closest match to the requested color, which are specified in the VGA hardware 0-63 format. Normally you should call makecol8() instead, but this lower level function may be useful if you need to use a palette other than the currently selected one, or specifically don't want to use the rgb_map lookup table.

SEE ALSO
makecol8(3)